Get Order
curl --request GET \
--url https://uat-api.clinkbill.com/api/order/{id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/api/order/{id}")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/order/{id}"
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Timestamp': '<x-timestamp>', 'X-API-KEY': '<api-key>'}
};
fetch('https://uat-api.clinkbill.com/api/order/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "success",
"data": {
"orderId": "order_xxxxx",
"sessionId": "sess_xxxxx",
"type": "onetime",
"merchantReferenceId": "pay_ref_123",
"customerId": "cus_xxxxx",
"customerEmail": "customer@example.com",
"amountSubtotal": 19.99,
"amountTotal": 19.99,
"paymentCurrency": "USD",
"originalCurrency": "USD",
"status": "success",
"paymentTime": 1750062041000,
"paymentMethod": {
"paymentMethodType": "CARD",
"paymentInstrumentId": "pi_xxxxx",
"cardScheme": "Visa",
"cardLastFour": "4242",
"issuerRegion": "US",
"issuerBank": "Chase Bank"
},
"metadata": {
"orderNo": "ORDER-10001"
}
}
}Order
Get Order
Get detailed information about a specific order
GET
/
order
/
{id}
Get Order
curl --request GET \
--url https://uat-api.clinkbill.com/api/order/{id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/api/order/{id}")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/order/{id}"
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Timestamp': '<x-timestamp>', 'X-API-KEY': '<api-key>'}
};
fetch('https://uat-api.clinkbill.com/api/order/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "success",
"data": {
"orderId": "order_xxxxx",
"sessionId": "sess_xxxxx",
"type": "onetime",
"merchantReferenceId": "pay_ref_123",
"customerId": "cus_xxxxx",
"customerEmail": "customer@example.com",
"amountSubtotal": 19.99,
"amountTotal": 19.99,
"paymentCurrency": "USD",
"originalCurrency": "USD",
"status": "success",
"paymentTime": 1750062041000,
"paymentMethod": {
"paymentMethodType": "CARD",
"paymentInstrumentId": "pi_xxxxx",
"cardScheme": "Visa",
"cardLastFour": "4242",
"issuerRegion": "US",
"issuerBank": "Chase Bank"
},
"metadata": {
"orderNo": "ORDER-10001"
}
}
}Authorizations
Your secret API key obtained from the Clink dashboard (Developers section)
Headers
Current timestamp in milliseconds since Unix epoch (required for request signing)
Example:
"1783513683000"
Path Parameters
Unique identifier of the order
⌘I